# Version SVN: $Id: routing.yml 514 2019-06-25 11:04:35Z stefan.ganz $
api_index:
  url:    /api/
  param:  { module: api, action: index }

api_version:
  url:    /api/version
  param:  { module: api, action: version }

api_config:
  url:    /api/config/*
  param:  { module: api, action: config }

api_configs:
  url:    /api/configs/*
  param:  { module: api, action: configs }

api_getcategories:
  url:    /api/getCategories/*
  param:  { module: api, action: getCategories }

api_getcategory:
  url:    /api/getCategory/*
  param:  { module: api, action: getCategory }

api_getcategorymedia:
  url:    /api/getCategoryMedia/*
  param:  { module: api, action: getCategoryMedia }

api_getcategorymedias:
  url:    /api/getCategoryMedias/*
  param:  { module: api, action: getCategoryMedia }

api_getchannels:
  url:    /api/getChannels/*
  param:  { module: api, action: getChannels }

api_getchannel:
  url:    /api/getChannel/*
  param:  { module: api, action: getChannel }

api_getchannelmedia:
  url:    /api/getChannelMedia/*
  param:  { module: api, action: getChannelMedia }

api_addmediumchannel:
  url:    /api/addMediumChannel/*
  param:  { module: api, action: addMediumChannel }

api_removemediumchannel:
  url:    /api/removeMediumChannel/*
  param:  { module: api, action: removeMediumChannel }

api_getchannelmedias:
  url:    /api/getChannelMedias/*
  param:  { module: api, action: getChannelMedia }

api_lockMedium:
  url: /api/lockMedium/*
  param: { module: api, action: lockMedium }

api_unlockMedium:
  url: /api/unlockMedium/*
  param: { module: api, action: unlockMedium }

api_getmedium:
  url:    /api/getMedium/*
  param:  { module: api, action: getMedium }

api_getmedia:
  url:    /api/getMedia/*
  param:  { module: api, action: getMedia }

api_getmedias:
  url:    /api/getMedias/*
  param:  { module: api, action: getMedia }

api_getmediumcomments:
  url:    /api/getMediumComments/*
  param:  { module: api, action: getMediumComments }

api_addmediumcomment:
  url:    /api/addMediumComment/*
  param:  { module: api, action: addMediumComment }

api_deletemediumcomment:
  url:    /api/deleteMediumComment/*
  param:  { module: api, action: deleteMediumComment }

api_addmediumrating:
  url:    /api/addMediumRating/*
  param:  { module: api, action: addMediumRating }

api_ratingmedia:
  url:    /api/ratingMedia/*
  param:  { module: api, action: addMediumRating }

api_addmediumlike:
  url:    /api/addMediumLike/*
  param:  { module: api, action: addMediumLike }

api_deletemediumlike:
  url:    /api/deleteMediumLike/*
  param:  { module: api, action: deleteMediumLike }

api_addmediumfavorite:
  url:    /api/addMediumFavorite/*
  param:  { module: api, action: addMediumFavorite }

api_deletemediumfavorite:
  url:    /api/deleteMediumFavorite/*
  param:  { module: api, action: deleteMediumFavorite }

api_upload_mediumfile:
  url:    /api/uploadMediumFile/*
  param:  { module: api, action: uploadMediumFile }

api_uploadmedium:
  url:    /api/uploadMedium/*
  param:  { module: api, action: uploadMedium }

api_editmedium:
  url:    /api/editMedium/*
  param:  { module: api, action: editMedium }


api_deletemedium:
  url:    /api/deleteMedium/*
  param:  { module: api, action: deleteMedium }

api_reportmedium:
  url:    /api/reportMedium/*
  param:  { module: api, action: reportMedium }

api_getusers:
  url:    /api/getUsers/*
  param:  { module: api, action: getUsers }

api_getuser:
  url:    /api/getUser/*
  param:  { module: api, action: getUser }

api_loginuser:
  url:    /api/loginUser/*
  param:  { module: api, action: loginUser }

api_logoutuser:
  url:    /api/logoutUser/*
  param:  { module: api, action: logoutUser }

api_registeruser:
  url:    /api/registerUser/*
  param:  { module: api, action: registerUser }

api_edituser:
  url:    /api/editUser/*
  param:  { module: api, action: editUser }

api_setnewuserpassword:
  url:    /api/setNewUserPassword/*
  param:  { module: api, action: setNewUserPassword }

api_getpages:
  url:    /api/getPages/*
  param:  { module: api, action: getPages }

api_getpage:
  url:    /api/getPage/*
  param:  { module: api, action: getPage }

api_getgroups:
  url:    /api/getGroups/*
  param:  { module: api, action: getGroups }

api_getgroup:
  url:    /api/getGroup/*
  param:  { module: api, action: getGroup }

api_getgroupusers:
  url:    /api/getGroupUsers/*
  param:  { module: api, action: getGroupUsers }

api_getgroupmedia:
  url:    /api/getGroupMedia/*
  param:  { module: api, action: getGroupMedia }

api_getgroupmedias:
  url:    /api/getGroupMedias/*
  param:  { module: api, action: getGroupMedia }

api_getalbums:
  url:    /api/getAlbums/*
  param:  { module: api, action: getAlbums }

api_getalbum:
  url:    /api/getAlbum/*
  param:  { module: api, action: getAlbum }

api_getalbummedia:
  url:    /api/getAlbumMedia/*
  param:  { module: api, action: getAlbumMedia }

api_getalbummedias:
  url:    /api/getAlbumMedias/*
  param:  { module: api, action: getAlbumMedia }

api_deleteuser:
  url:    /api/deleteUser/*
  param:  { module: api, action: deleteUser }

api_purgeuser:
  url:    /api/backend/purgeUser/*
  param:  { module: api, action: purgeUser }

api_reportuser:
  url:    /api/reportUser/*
  param:  { module: api, action: reportUser }

api_getusercomments:
  url:    /api/getUserComments/*
  param:  { module: api, action: getUserComments }

api_addusercomment:
  url:    /api/addUserComment/*
  param:  { module: api, action: addUserComment }

api_deleteusercomment:
  url:    /api/deleteUserComment/*
  param:  { module: api, action: deleteUserComment }

api_getuserfavoritemedia:
  url:    /api/getUserFavoriteMedia/*
  param:  { module: api, action: getUserFavoriteMedia }

api_getuserfavorites:
  url:    /api/getUserFavorites/*
  param:  { module: api, action: getUserFavoriteMedia }

api_getuserfavoriteblogs:
  url:    /api/getUserFavoriteBlogs/*
  param:  { module: api, action: getUserFavoriteBlogs }

api_getusermedia:
  url:    /api/getUserMedia/*
  param:  { module: api, action: getUserMedia }

api_getusermedias:
  url:    /api/getUserMedias/*
  param:  { module: api, action: getUserMedia }

api_getuserfriends:
  url:    /api/getUserFriends/*
  param:  { module: api, action: getUserFriends }

api_getuseralbums:
  url:    /api/getUserAlbums/*
  param:  { module: api, action: getUserAlbums }

api_getusergroups:
  url:    /api/getUserGroups/*
  param:  { module: api, action: getUserGroups }

api_getuserchannels:
  url:    /api/getUserChannels/*
  param:  { module: api, action: getUserChannels }

api_getuserblogs:
  url:    /api/getUserBlogs/*
  param:  { module: api, action: getUserBlogs }

api_ablesetrolepermission:
  url:    /api/ableSetRolePermission/*
  param:  { module: api, action: ableSetRolePermission }

api_getuserroles:
  url:    /api/getUserRoles/*
  param:  { module: api, action: getUserRoles }

api_adduserrole:
  url:    /api/addUserRole/*
  param:  { module: api, action: addUserRole }

api_search:
  url:    /api/search/*
  param:  { module: api, action: search }

api_extendedsearch:
  url:    /api/extendedSearch/*
  param:  { module: api, action: extendedSearch }

api_getpictures:
  url:    /api/getPicture/*
  param:  { module: api, action: getPicture }

apikeys_index:
  url:   /apikeys
  param: { module: apikeys, action: index }

api_mediaimport:
  url:    /api/mediaimport/*
  param:  { module: api, action: mediaimport }

api_default:
  url:    /api/:actionName/*
  param:  { module: api, action: error }
